package ar.edu.unju.fi.champions.champions.entity;

import jakarta.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
@Entity(name="players")
public class Player {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    @Column(name = "name", length = 50)
    private String name;

    @Column(name = "num", length = 20)
    private int num;

    @Column(name = "position", length = 10)
    private String position;

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "team_id", nullable = false)
    private Team team;


	@Override
	public String toString() {
		return "Player [id=" + id + ", name=" + name + ", num=" + num + ", position=" + position + ", team=" + team
				+ "]";
	}
    
    
}
